io.vertx.ext.hawkular

## Class MetricTagsMatch

- java.lang.Object
- - io.vertx.ext.hawkular.MetricTagsMatch

-     public class MetricTagsMatch
      extends Object

  Tags to apply to any metric which name matches the criteria.
  Author:
    Thomas Segismont

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `MetricTagsMatch.MatchType` The type of match.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static MetricTagsMatch.MatchType` | `DEFAULT_TYPE` The default value for matching type = EQUALS.
    `static String` | `DEFAULT_VALUE` The default matching value (empty).

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MetricTagsMatch()`
    `MetricTagsMatch(JsonObject json)`
    `MetricTagsMatch(MetricTagsMatch other)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `JsonObject` | `getTags()`
    `MetricTagsMatch.MatchType` | `getType()`
    `String` | `getValue()`
    `MetricTagsMatch` | `setTags(JsonObject tags)` Set the tags to apply if metric name matches the criteria.
    `MetricTagsMatch` | `setType(MetricTagsMatch.MatchType type)` Set the type of matching to apply.
    `MetricTagsMatch` | `setValue(String value)` Set the matched value.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_TYPE

          public static final MetricTagsMatch.MatchType DEFAULT_TYPE

      The default value for matching type = EQUALS.

    - #### DEFAULT_VALUE

          public static final String DEFAULT_VALUE

      The default matching value (empty).
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### MetricTagsMatch

          public MetricTagsMatch()

    - #### MetricTagsMatch

          public MetricTagsMatch(MetricTagsMatch other)

    - #### MetricTagsMatch

          public MetricTagsMatch(JsonObject json)

  - ### Method Detail

    - #### getType

          public MetricTagsMatch.MatchType getType()

      Returns:
        the matcher type

    - #### setType

          public MetricTagsMatch setType(MetricTagsMatch.MatchType type)

      Set the type of matching to apply.
      Parameters:
        `type` - the matcher type
      Returns:
        a reference to this, so the API can be used fluently

    - #### getValue

          public String getValue()

      Returns:
        the matched value

    - #### setValue

          public MetricTagsMatch setValue(String value)

      Set the matched value.
      Parameters:
        `value` - the value to match
      Returns:
        a reference to this, so the API can be used fluently

    - #### getTags

          public JsonObject getTags()

      Returns:
        tags to apply if metric name matches the criteria

    - #### setTags

          public MetricTagsMatch setTags(JsonObject tags)

      Set the tags to apply if metric name matches the criteria.

Copyright © 2017. All rights reserved.